unit UThreadData;

interface

uses
  Classes, dbClient, SysUtils, Windows, ComCtrls;

type
  TThreadData = class(TThread)
  private
    { Private declarations }
    FCds:TClientDataSet;
    FName:string;
    procedure UpdateView;
  protected
    procedure Execute; override;
  public
    ListView:TListView;
    ImageIndex:byte;
  end;

implementation

{ TThreadData }

procedure TThreadData.Execute;
begin
  {$region 'Criar a regra de negcio'}
  ListView.Items.Clear;
  FCds:=TClientDataSet.Create(nil);
  FCds.LoadFromFile('C:\Program Files (x86)\Common Files\CodeGear Shared\Data\customer.xml');
  FCds.First;
  while not FCds.Eof do begin
     if Terminated=true then
        exit;
     FName:=FCds.FieldByName('Company').Asstring;
     Synchronize(UpdateView);
     Sleep(2000);
     Fcds.Next;
  end;
  {$endregion}

end;

procedure TThreadData.UpdateView;
begin
  {$region 'Exibir informaes para interface visual'}
  ListView.Items.Add;
  ListView.Items[ListView.Items.Count-1].Caption:=FName;
  ListView.Items[ListView.Items.Count-1].ImageIndex:=ImageIndex;
  {$endregion}
end;

end.
