﻿namespace;

interface

uses
  System,
  System.Data,
  System.Configuration,
  System.Web,
  System.Linq,
  System.Web.Security,
  System.Web.UI,
  System.Web.UI.WebControls,
  System.Web.UI.WebControls.WebParts,
  System.Web.UI.HtmlControls;

type
  Account_Register = public partial class(System.Web.UI.Page)
  protected
    method Page_Load(sender: Object; e: EventArgs);
    method RegisterUser_CreatedUser(sender: Object; e: EventArgs);
  end;

implementation

method Account_Register.Page_Load(sender: Object; e: EventArgs);
begin
  RegisterUser.ContinueDestinationPageUrl := Request.QueryString["ReturnUrl"];
end;

method Account_Register.RegisterUser_CreatedUser(sender: Object; e: EventArgs);
begin
  FormsAuthentication.SetAuthCookie(RegisterUser.UserName, false { createPersistentCookie });

  var continueUrl := RegisterUser.ContinueDestinationPageUrl;
  if String.IsNullOrEmpty(continueUrl) then begin
    continueUrl := '~/';
  end;
  Response.Redirect(continueUrl);
end;

end.
